use crate::schema;
use microrm::prelude::*;

pub fn create(db: &microrm::DB, realm: &str, name: &str) {
    let qi = db.query_interface();

    let realm = qi
        .get()
        .by(schema::Realm::Shortname, realm)
        .one()
        .expect("couldn't query db")
        .expect("no such realm");

    qi.add(&schema::Client {
        realm: realm.id(),
        shortname: name.into(),
        secret: "".into(),
    })
    .expect("couldn't add client");
}

pub fn inspect(db: &microrm::DB, name: &str) {}
